Package org.apache.sling.scripting.sightly.pojo

## Interface Use

    @ConsumerType
    public interface Use

The `Use` interface can be implemented by Java objects which are instantiated as part of processing `data-sly-use` attributes.

See Also:
  HTL Block Statements - Use

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `init​(Bindings bindings)` Called to initialize the Java object with the current Java Scripting API bindings.

### Method Detail

#### init

    void init​(Bindings bindings)

Called to initialize the Java object with the current Java Scripting API bindings.

This method is called only if the object has been instantiated by HTL as part of processing the `data-sly-use` attribute. The Java Scripting API bindings provide all the global variables known to a script being executed.

Parameters:
  `bindings` - The Java Scripting API bindings.